#include <iostream>

using namespace std;

long long a[200000], b[200000];

int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	cout.tie(NULL);
	
  long long n, i, j, x, y, m, t;

  cin >> n >> m;

  for (i = 1; i <= n; i++)
    cin >> a[i] >> b[i];


  for (i = 0; i < m; i++) {

    cin >> x >> y >> t;

   long long u = 0;

   for (j = x; j <= y; j++)
     if (a[j] <= t && t <= b[j])
       u++;

   cout << u << '\n';

  }


    return 0;
}